<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::applicationUtilities::resources::audio::MicrophoneInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities.html">applicationUtilities</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources.html">resources</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio.html">audio</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_microphone_interface.html">MicrophoneInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_microphone_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::applicationUtilities::resources::audio::MicrophoneInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>This acts as an interface to record audio input from a microphone.  
 <a href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_microphone_interface.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_microphone_interface_8h_source.html">MicrophoneInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::applicationUtilities::resources::audio::MicrophoneInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_microphone_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_microphone_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_microphone_interface_inherit__map" id="alexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_microphone_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_microphone.html" title="alexaClientSDK::application\lUtilities::androidUtilities\l::AndroidSLESMicrophone" alt="" coords="250,5,436,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1sample_app_1_1_port_audio_microphone_wrapper.html" title="This acts as a wrapper around PortAudio, a cross&#45;platform open&#45;source audio I/O library. " alt="" coords="239,81,447,120"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2ebc21b7f83c90ea51ae149991b14f84"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_microphone_interface.html#a2ebc21b7f83c90ea51ae149991b14f84">stopStreamingMicrophoneData</a> ()=0</td></tr>
<tr class="separator:a2ebc21b7f83c90ea51ae149991b14f84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac07c81314cb662b42e73e134600a7fd9"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_microphone_interface.html#ac07c81314cb662b42e73e134600a7fd9">startStreamingMicrophoneData</a> ()=0</td></tr>
<tr class="separator:ac07c81314cb662b42e73e134600a7fd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43934bd5b214f3bcd88b55e725721627"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_microphone_interface.html#a43934bd5b214f3bcd88b55e725721627">~MicrophoneInterface</a> ()=default</td></tr>
<tr class="separator:a43934bd5b214f3bcd88b55e725721627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">This acts as an interface to record audio input from a microphone. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a43934bd5b214f3bcd88b55e725721627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43934bd5b214f3bcd88b55e725721627">&#9670;&nbsp;</a></span>~MicrophoneInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::applicationUtilities::resources::audio::MicrophoneInterface::~MicrophoneInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac07c81314cb662b42e73e134600a7fd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac07c81314cb662b42e73e134600a7fd9">&#9670;&nbsp;</a></span>startStreamingMicrophoneData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::applicationUtilities::resources::audio::MicrophoneInterface::startStreamingMicrophoneData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Starts streaming from the microphone.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the start was successful. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_microphone.html#a6034e27713750163c9ff8aa94c4cc322">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESMicrophone</a>, and <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_port_audio_microphone_wrapper.html#ae6ec9587bf75c6fddf716363c9ee2462">alexaClientSDK::sampleApp::PortAudioMicrophoneWrapper</a>.</p>

</div>
</div>
<a id="a2ebc21b7f83c90ea51ae149991b14f84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ebc21b7f83c90ea51ae149991b14f84">&#9670;&nbsp;</a></span>stopStreamingMicrophoneData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::applicationUtilities::resources::audio::MicrophoneInterface::stopStreamingMicrophoneData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Stops streaming from the microphone.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the stop was successful. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_microphone.html#a58fdbf43941070e2ca261b4268eb3917">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESMicrophone</a>, and <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_port_audio_microphone_wrapper.html#a1fada96bfb468387d9965a0708dd164f">alexaClientSDK::sampleApp::PortAudioMicrophoneWrapper</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/ApplicationUtilities/Resources/Audio/include/Audio/<a class="el" href="_microphone_interface_8h_source.html">MicrophoneInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
